Subject: Re: [PATCH 4/4] add-patch: render hunks through the pager

From: Junio C Hamano <[email-masked]>
Date: Sat, 13 Jul 2024 02:12:38 -0700

Rubén Justo <[email-masked]> writes:

>> What is huge_file doing and what happens to the single line of pager output?
>
> The huge file is to make sure we are receiving a SIGPIPE.  We don't
> really care about the line "head -1" produces, only that we don't
> break due to the SIGPIPE that occurs.

That deserves to be explained in the proposed log message, I think.

Thanks.